Fix `ghc --make -fhpc` with imported lhs modules
ClosedPublic

Authored by thomie on Mar 4 2015, 5:12 AM.

Details

Summary

Unbreak hpc in --make mode with imported literate modules.

See Note [Don't normalise input filenames] in compiler/main/DriverPipeline.hs.

Test Plan

hpc/T2991

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
thomie updated this revision to Diff 2351.Mar 4 2015, 5:12 AM
thomie retitled this revision from to Fix `ghc --make -fhpc` with imported lhs modules.
thomie updated this object.
thomie edited the test plan for this revision. (Show Details)
thomie added a reviewer: austin.
thomie updated the Trac tickets for this revision.
thomie added a subscriber: thomie.
thomie updated this revision to Diff 2354.Mar 4 2015, 3:57 PM

Now with more commit message

thomie updated this revision to Diff 2355.Mar 4 2015, 4:04 PM

How do I update the summary?

thomie updated this object.Mar 4 2015, 4:07 PM
thomie updated this object.Mar 4 2015, 4:10 PM
thomie updated this object.
thomie updated this object.
thomie updated this object.Mar 4 2015, 4:12 PM
thomie updated this revision to Diff 2359.Mar 5 2015, 11:05 AM

Add extra_clean

austin requested changes to this revision.Mar 8 2015, 1:18 PM
austin edited edge metadata.

Nice bug hunting. This looks OK. But:

  1. Please copy the summary from your diff into a [Note: don't normalize input files] or something and refer to it from runPhase for unlit - the same way our other Notes are.
  2. Update the diff with arc diff
  3. Update the summary on Phabricator's web UI and make it refer to the Note so the summary isn't so gigantic.
  4. Run arc amend in your local tree so your local commit is synchronized with the new summary on Phabricator.
  5. I will accept it.
  6. Everyone will be happy.
  7. Then you can push.
This revision now requires changes to proceed.Mar 8 2015, 1:18 PM
thomie updated this revision to Diff 2401.Mar 9 2015, 11:04 AM
thomie edited edge metadata.

Move giant text to Note.

thomie updated this object.Mar 9 2015, 11:05 AM
thomie edited edge metadata.
thomie updated this revision to Diff 2402.Mar 9 2015, 11:58 AM

Update Note

austin accepted this revision.Mar 9 2015, 2:17 PM
austin edited edge metadata.

sealofapproval

This revision is now accepted and ready to land.Mar 9 2015, 2:17 PM
This revision was automatically updated to reflect the committed changes.